# Class NioEndpoint.PollerEvent

java.lang.Object
org.apache.tomcat.util.net.NioEndpoint.PollerEvent

Enclosing class:
  `NioEndpoint`

public static class NioEndpoint.PollerEvent extends Object
PollerEvent, cacheable object for poller events to avoid GC

## Constructor Summary

Constructors
Constructor
Description
`PollerEvent(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getInterestOps()`
`NioEndpoint.NioSocketWrapper`
`getSocketWrapper()`
`void`
`reset()`
`void`
`reset(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PollerEvent

public PollerEvent(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)

## Method Details

### reset

public void reset(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)

### getSocketWrapper

public NioEndpoint.NioSocketWrapper getSocketWrapper()

### getInterestOps

public int getInterestOps()

### reset

public void reset()

### toString

public String toString()

Overrides:
  `toString` in class `Object`